很久没有折腾WordPress了,真的是懒得折腾。不过有时候,却没办法不去处理。最近就遇到了一些问题,至今都没有解决,对php和WordPress比较熟悉的朋友如果知道如何解决,可以帮忙解决下哈~

WordPress4.7

话说不久前网站因为被注入了垃圾内容,后来发现后及时删除了,并做了一些安全措施,本以为没什么事情了,不过最近后台提示WordPress程序和插件升级的时候却发现了问题,不仅不能在后台自动升级程序,插件也不能自动升级,登录后台有wp-admin/update-core.php、wp-admin/plugins.php以及wp-admin/themes.php等页面无法打开,甚至评论功能也出现问题,留言提交的时候显示错误。

以我个人判断一般是插件冲突或者空间权限设置问题,于是通过禁用所有插件以及手动上传更新了WordPress到最新的4.7版本之后,wp-admin/plugins.php可以访问,wp-admin/themes.php间歇性可以访问,评论功能恢复了而wp-admin/update-core.php、plugin-install.php及theme-install.php等安装页面都还是无法访问,具体原因不明。

虽然网上有搜索了很多的解决方法,但是都和我想到的差不多,还是无法解决这个问题,你们有遇到或者知道怎么解决吗?

也许你也感兴趣:

作者:
该日志由 破折君 于2016年12月15日发表在Php研究分类下, 通告目前不可用,你可以至底部留下评论。
转载请注明: 如何解决wordpress无法自动升级,update-core.php无法打开?
关键字: ,
【上一篇】
【下一篇】

8 篇回应 (访客:4 篇, 博主:4 篇)

  1. 唯历史 说道:

    我也升级不了,不知道为什么

    #1楼
  2. FROYO 说道:

    没遇到这个问题,对升级麻木了,视而不见

    #2楼
  3. 金选博客 说道:

    我觉得自动升级关闭最好

    #3楼
  4. 恋羽 说道:

    恢复默认主题,覆盖原文件,还有文件检查是不是服务器被动了手脚

    #4楼

发表评论

插入图片